Gets consumers offer for a brand.
Returns the list of active or published offers for this brand for this specific consumer.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/brands/{brand_id}/offers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/brands/{brand_id}/offers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/brands/{brand_id}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"logo": {
"path": "<string>",
"content_type": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<unknown>",
"owner": "<string>"
},
"offers": [
{
"application_url": "https://www.mybrand.fr",
"cashback_rate": 5,
"end_date": "2018-12-21T00:00:00+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"is_consumed": true,
"legal_terms": "<unknown>",
"max_amount": 250,
"max_cashbacks_per_consumer": "<unknown>",
"min_amount": 40,
"name": {},
"picture": {
"path": "<string>",
"content_type": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<unknown>",
"owner": "<string>"
},
"segments": [
{
"name": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}
],
"source_transaction": true,
"start_date": "2018-12-21T00:00:00+00:00",
"status": "<string>",
"type": "CASHBACK"
}
],
"universes": [
{
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the brand on PayLead system.
The id you used to create the given consumer
Query Parameters
Filter by cashback_rate
Rate of reward used to calculate cashback amount
Filter by is_consumed
Has the consumer already consumed the coupon of the current offer? If true, yes. If false, no.
Filter by offer__id
Unique UUID of the offer
Filter by offer__name
Name of the offer
Filter by source_transaction
If this flag is true, the transaction must come from the default bank of the program to generate a reward
Response
OK
Name of the object
description
Unique ID of the object.
"e2c32b4b-de61-459b-accf-a75f76247946"
Show child attributes
Show child attributes
List of Offer objects
Show child attributes
Show child attributes
Universes
Show child attributes
Show child attributes
Was this page helpful?
